Bug 1127409 - WARN [ConfigurationManager.threadpool-1]
Summary: WARN [ConfigurationManager.threadpool-1]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Agent
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR02
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:17 UTC by Matt Mahoney
Modified: 2014-09-03 18:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-03 18:31:25 UTC
Type: Bug


Attachments (Terms of Use)
agent.log (465.70 KB, text/plain)
2014-08-06 20:17 UTC, Matt Mahoney
no flags Details

Description Matt Mahoney 2014-08-06 20:17:51 UTC
Created attachment 924589 [details]
agent.log

Description of problem:

Warning in agent.log file after clean install and server start.

WARN  [ConfigurationManager.threadpool-1] (rhq.core.pc.configuration.ConfigurationCheckExecutor)- An error occurred while checking for an updated Resource configuration for Resource[id=10004, uuid=0dd7fe25-bb98-450f-ba43-4ca950d8ab18, type={Postgres}Postgres Server, key=jdbc:postgresql://127.0.0.1:5432/postgres, name=rhq, parent=mm-jon33dr01-t3.bc.jonqe.lab.eng.bos.redhat.com, version=8.4.18].
WARN  [ConfigurationManager.threadpool-1] (rhq.core.pc.configuration.ConfigurationCheckExecutor)- Plugin Error: Invalid User resource configuration returned by Postgres plugin - Required property 'password' has a null value.
WARN  [ConfigurationManager.threadpool-1] (rhq.core.pc.inventory.InventoryManager)- Cannot get a resource container for an invalid resource ID=0

Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON.
2.
3.

Actual results:
Warnings in agent.log after clean install/start.

Expected results:
Should be zero silent Warnings in server.log

Additional info:

Comment 1 Heiko W. Rupp 2014-08-26 11:34:44 UTC
Did you take a postgres server into inventory and not provide credentials?

Supply credentials and the error goes away.
Or if you are not interested into talking to the postgres server, then do not import it.


Note You need to log in before you can comment on or make changes to this bug.